FROM alpine:3.16
WORKDIR /lint-commits-on-branch
RUN apk add --update --no-cache npm~=8 git~=2 bash~=5 && \
    npm install --save-dev \
        @commitlint/config-conventional@^17.0.3 \
        commitlint@^17.0.3
ENV PATH="/lint-commits-on-branch/node_modules/.bin:$PATH"
COPY . ./
